#pragma once
#include "types.h"
#include <stdbool.h>

#define PKG_DATA_SIZE    "size"
#define PKG_DATA_DESC    "desc"
#define PKG_DATA_VERSION "version"
#define PKG_DATA_DEPENDS "depends"

lm_pkg_t *lm_pkg_new();
void      lm_pkg_free(lm_pkg_t *pkg);

bool lm_pkg_data_load(lm_pkg_t *pkg, char *file);
void lm_pkg_data_free(lm_pkg_t *pkg);
